Subject: bug#26513: 25.2; pop-up-frames and *Completions* buffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Feb 2022 08:13:33 -0500

>> This problem is still present in Emacs 29.  I guess the general solution
>> here would be for completion to ensure that it's gotten focus back again
>> after displaying the *Completions* buffer?
> Maybe Stefan Monnier can tell us what he does in such case.

I have a `display-buffer-alist` entry that does all kinds of funny
things for *Completions* ;-)

> I can offer the attached, largely untested patch.

No objection to the patch, but the amount of code duplication in it
(both in the new lines and in the surrounding code) suggests we may want
to refactor some of that code so that the options processing code is
written at a single place "once" rather than
once-per-display-buffer-function.

        Stefan